Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.mdr.events
Class TransactionEvent

    java.lang.Object
      java.util.EventObject
          org.netbeans.api.mdr.events.MDRChangeEvent
              org.netbeans.api.mdr.events.TransactionEvent

All Implemented Interfaces:
  Serializable

    public class TransactionEvent

extends MDRChangeEvent

Class representing MDR events related to start, commit and rollback of write transactions.

See Also:
  Serialized Form

Field Summary
`static int` | `EVENT_TRANSACTION_END` Event type indicating that a write transaction has been ended.
`static int` | `EVENT_TRANSACTION_START` Event type indicating that a write transaction has been started.
`static int` | `EVENTMASK_TRANSACTION` Bitmask representing all event types related to write transactions

Fields inherited from class org.netbeans.api.mdr.events.MDRChangeEvent
`EVENTMASK_ALL, EVENTMASK_ON_ASSOCIATION, EVENTMASK_ON_CLASS, EVENTMASK_ON_INSTANCE, EVENTMASK_ON_PACKAGE, EVENTMASK_ON_REPOSITORY`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionEvent(MDRepository source, int type)` Creates new `TransactionEvent` instance.

Method Summary

Methods inherited from class org.netbeans.api.mdr.events.MDRChangeEvent
`getType, isOfType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENTMASK_TRANSACTION

    public static final int EVENTMASK_TRANSACTION

  Bitmask representing all event types related to write transactions

  See Also:
    Constant Field Values

### EVENT_TRANSACTION_START

    public static final int EVENT_TRANSACTION_START

  Event type indicating that a write transaction has been started.

  See Also:
    Constant Field Values

### EVENT_TRANSACTION_END

    public static final int EVENT_TRANSACTION_END

  Event type indicating that a write transaction has been ended.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionEvent

    public TransactionEvent(MDRepository source,
                            int type)

  Creates new `TransactionEvent` instance.

  Parameters:
    `source` - the event source, an instance of `MDRepository`.
    `type` - the event type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.